### Method

# Soup Logger set_response_filter

#### Declaration [src]

    void
    soup_logger_set_response_filter (
      SoupLogger* logger,
      SoupLoggerFilter response_filter,
      gpointer filter_data,
      GDestroyNotify destroy
    )

#### Description [src]

Sets up a filter to determine the log level for a given response.

For each HTTP response `logger` will invoke `response_filter` to determine how much (if any) of that response to log. (If you do not set a response filter, `logger` will just always log responses at the level passed to `soup_logger_new()`.)

#### Parameters

`response_filter` | `SoupLoggerFilter`
| The callback for response debugging.
`filter_data` | `gpointer`
| Data to pass to the callback.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`destroy` | `GDestroyNotify`
| A `GDestroyNotify` to free `filter_data`.